<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.victorysoft.business.calc.dao.ConditionDataSyncDao">

  <insert id="summary">
    insert into con_condition_unit
    (unitcode, record_date, normal_well, less_well, more_well, unclear_well, abnormal_well, summary_date)
    select unitcode, record_date, normal_well, less_well, more_well, unclear_well, abnormal_well, summary_date
    from v_con_condition_unit
    where record_date = #{date}
    and unitcode is not null
  </insert>

</mapper>